﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using System.Collections.Generic;




namespace game.Model
{
    public class SoundEffectAction
    {

        // This is a global list of all soundInstances played and should be scoped as such.
        List<SoundEffectInstance> soundInstances;

        // This is an example SoundEffect. Use your own!
        //SoundEffect mySound;

        private SoundEffect soundeffect;

        public void SetupSoundEffect(String sound_location)
        {
            soundInstances = new List<SoundEffectInstance>();
            var stream = TitleContainer.OpenStream(sound_location);
            if (stream != null)
            {
                soundeffect = SoundEffect.FromStream(stream);
                FrameworkDispatcher.Update();
            }
        }

        //public void PlaySoundEffect()  
        //{
        //    //var stream = TitleContainer.OpenStream(sound_location);
        //    if (soundeffect != null)
        //    {
        //        //soundeffect = SoundEffect.FromStream(stream);
        //        FrameworkDispatcher.Update();
        //        soundeffect.Play();
        //    }
        //}

        public void Play()
        {
            // If there are too many sounds playing already, stop the oldest. 
            // I used 14 just to be safe. You probably could go a couple higher.
            
                if (this.soundInstances.Count > 14)
                {
                    this.soundInstances[0].Stop();
                    this.soundInstances.Remove(this.soundInstances[0]);
                }

                // Rather than playing mySound directly, create an instance which can be played or stopped.
                SoundEffectInstance newInstance = soundeffect.CreateInstance();
                newInstance.Play();

                // Add the instance to this collection so you can stop it later.
                this.soundInstances.Add(newInstance);
            
        }
    }
}
