﻿using System;


using System.Collections.Generic;
using System.Linq;

using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using game.Pages;
using Microsoft.Phone.Controls;


namespace game.Model
{
    public class SoundPlayer
    {
        public MediaElement mediaElement;
        public bool isChildren = true;
        MainPage main;

        public SoundPlayer(MainPage main)
        {
            this.main = main;
            mediaElement = new MediaElement();
            mediaElement.MediaOpened += mediaElement_Opened;
            mediaElement.Name = "SoundElement";
            mediaElement.AutoPlay = false;

            main.LayoutRoot.Children.Add(mediaElement);
            

        }

        public void RemoveFromContainer()
        {
            if (isChildren)
            {
                main.LayoutRoot.Children.Remove(this.mediaElement);
                isChildren = false;
            }
        }

        public void AddToContainer()
        {
            if (!isChildren)
            {
                main.LayoutRoot.Children.Add(this.mediaElement);
                
            }
            isChildren = true;
        }

        public SoundPlayer(Settings main)
        {
            mediaElement = new MediaElement();
            mediaElement.MediaOpened += mediaElement_Opened;
            mediaElement.AutoPlay = false;

            main.LayoutRoot.Children.Add(mediaElement);

        }

        public void playSound(Uri sound_location)
        {
            stopSound();
            mediaElement.Source = sound_location;
            mediaElement.Position = new TimeSpan(0);
        }

        public void mediaElement_Opened(Object sender, RoutedEventArgs e)
        {
            mediaElement.Play();
        }

        public void stopSound()
        {
            mediaElement.Stop();
        }

    }
}
