﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using game.Model;

namespace game.Pages
{
    public partial class GameFinished : UserControl
    {
        MainPage main;
        UIElement parent;
        String points;

        public GameFinished(String points, MainPage main, UIElement parent)
        {
            InitializeComponent();
            this.main = main;
            this.parent = parent;
            this.points = points;
            pointsField.Text = points;
            submitButton.Click += new RoutedEventHandler(submitScore);
            playButton.Click += new RoutedEventHandler(playAgain);
                
        }

        void playAgain(object sender, RoutedEventArgs e)
        {
            if (main.gameSettings.getEffectsSound())
            {
                main.soundEffect.SetupSoundEffect("sounds/click.wav");
                main.soundEffect.Play();
            }
            main.goToGame(parent);
        }

        void submitScore(object sender, RoutedEventArgs e)
        {
            if (main.gameSettings.getEffectsSound())
            {
                main.soundEffect.SetupSoundEffect("sounds/click.wav");
                main.soundEffect.Play();
            }
            Score s = new Score();

            statusField.Foreground = new SolidColorBrush(Colors.Red);
            if (string.IsNullOrEmpty(nameInputField.Text))
            {
                statusField.Text = "Please type your name!";
                return;
            }

            s.name = nameInputField.Text;
            if( !main.gameSettings.getHardness() )
                s.level = "Small";
            else
                s.level = "Big";
            s.points = points;
            s.date = DateTime.Now.ToShortTimeString();

            ScoreManager sm = new ScoreManager();
            if (!sm.save(s))
            {
                statusField.Text = "Oops, error while saving...";
                return;
            }

            statusField.Foreground = new SolidColorBrush(Colors.Green);
            statusField.Text = "Score saved";
            submitButton.IsEnabled = false;
            nameInputField.IsReadOnly = true;
            /*
            List<Score> scores = new List<Score>();
            scores = sm.getScores();
            foreach (Score ss in scores)
            {
                String a = ss.toStringLine();
            }
            */

        }
    }
}
